namespace Efficiencies
{
  namespace Generator
  {
    const double e_10010032_Down = 0.4254 ;
    const double e_10010035_Down = 0.4239 ;
    const double e_10010037_Down = 0.42541;
    const double e_11512011_Down = 0.19639;
    const double e_13512410_Down = 0.17533;
    const double e_11512400_Down = 0.16822;
    const double e_13512420_Down = 0.17694;
    const double e_13774000_Down = 0.17948;
    const double e_13512010_Down = 0.2023 ;
    const double e_13512400_Down = 0.17511;
    const double e_12513001_Down = 0.17768;
    const double e_11574050_Down = 0.17382;
    const double e_11574051_Down = 0.17064;
    const double e_12573050_Down = 0.17692;
    const double e_12573200_Down = 0.17616;
    const double e_12573400_Down = 0.15516;
    const double e_12573401_Down = 0.1605 ;
    const double e_13574040_Down = 0.16978;
    const double e_13796000_Down = 0.03837;
    const double e_12873002_Down = 0.17852;
    const double e_15512013_Down = 0.213  ;
    const double e_15512014_Down = 0.2121 ;
    const double e_11874004_Down = 0.17899;
    const double e_11874042_Down = 0.17066;
    const double e_11144001_Down = 0.16141;
    const double e_12143001_Down = 0.16734;
    const double e_12143401_Down = 0.15162;
    const double e_13144001_Down = 0.17114;
    const double e_11876001_Down = 0.3295 ;
    const double e_13873201_Down = 0.3315 ;
    const double e_12875601_Down = 0.3318 ;


    const double e_10010032_Down_err = 0.000089;
    const double e_10010035_Down_err = 0.00011 ;
    const double e_10010037_Down_err = 0.000081;
    const double e_11512011_Down_err = 0.00039 ;
    const double e_13512410_Down_err = 0.00035 ;
    const double e_11512400_Down_err = 0.00033 ;
    const double e_13512420_Down_err = 0.00035 ;
    const double e_13774000_Down_err = 0.00028 ;
    const double e_13512010_Down_err = 0.00052 ;
    const double e_13512400_Down_err = 0.00035 ;
    const double e_12513001_Down_err = 0.00059 ;
    const double e_11574050_Down_err = 0.00089 ;
    const double e_11574051_Down_err = 0.00078 ;
    const double e_12573050_Down_err = 0.00089 ;
    const double e_12573200_Down_err = 0.0009  ;
    const double e_12573400_Down_err = 0.00078 ;
    const double e_12573401_Down_err = 0.00082 ;
    const double e_13574040_Down_err = 0.00085 ;
    const double e_13796000_Down_err = 0.000079;
    const double e_12873002_Down_err = 0.00091 ;
    const double e_15512013_Down_err = 0.0011  ;
    const double e_15512014_Down_err = 0.0011  ;
    const double e_11874004_Down_err = 0.00092 ;
    const double e_11874042_Down_err = 0.00088 ;
    const double e_11144001_Down_err = 0.00043 ;
    const double e_12143001_Down_err = 0.00049 ;
    const double e_12143401_Down_err = 0.00066 ;
    const double e_13144001_Down_err = 0.00045 ;
    const double e_11876001_Down_err = 0.0011  ;
    const double e_13873201_Down_err = 0.0011  ;
    const double e_12875601_Down_err = 0.0011  ;

    const double e_10010032_Up = 0.425385;
    const double e_10010035_Up = 0.42547 ;
    const double e_10010037_Up = 0.425402;
    const double e_11512011_Up = 0.19627 ;
    const double e_13512410_Up = 0.17547 ;
    const double e_11512400_Up = 0.16876 ;
    const double e_13512420_Up = 0.17623 ;
    const double e_13774000_Up = 0.18006 ;
    const double e_13512010_Up = 0.2018  ;
    const double e_13512400_Up = 0.17473 ;
    const double e_12513001_Up = 0.17651 ;
    const double e_11574050_Up = 0.1745  ;
    const double e_11574051_Up = 0.16859 ;
    const double e_12573050_Up = 0.1775  ;
    const double e_12573200_Up = 0.17759 ;
    const double e_12573400_Up = 0.15541 ;
    const double e_12573401_Up = 0.1612  ;
    const double e_13574040_Up = 0.17309 ;
    const double e_13796000_Up = 0.038227;
    const double e_12873002_Up = 0.17858 ;
    const double e_15512013_Up = 0.2123  ;
    const double e_15512014_Up = 0.2095  ;
    const double e_11874004_Up = 0.17887 ;
    const double e_11874042_Up = 0.16972 ;
    const double e_11144001_Up = 0.1605  ;
    const double e_12143001_Up = 0.16712 ;
    const double e_12143401_Up = 0.15265 ;
    const double e_13144001_Up = 0.171   ;
    const double e_11876001_Up = 0.3319  ;
    const double e_13873201_Up = 0.3302  ;
    const double e_12875601_Up = 0.3308  ;


    const double e_10010032_Up_err = 0.000089;
    const double e_10010035_Up_err = 0.00011 ;
    const double e_10010037_Up_err = 0.000074;
    const double e_11512011_Up_err = 0.0004  ;
    const double e_13512410_Up_err = 0.00036 ;
    const double e_11512400_Up_err = 0.00033 ;
    const double e_13512420_Up_err = 0.00034 ;
    const double e_13774000_Up_err = 0.00028 ;
    const double e_13512010_Up_err = 0.00052 ;
    const double e_13512400_Up_err = 0.00034 ;
    const double e_12513001_Up_err = 0.00058 ;
    const double e_11574050_Up_err = 0.00086 ;
    const double e_11574051_Up_err = 0.00076 ;
    const double e_12573050_Up_err = 0.00084 ;
    const double e_12573200_Up_err = 0.00087 ;
    const double e_12573400_Up_err = 0.00078 ;
    const double e_12573401_Up_err = 0.00078 ;
    const double e_13574040_Up_err = 0.00086 ;
    const double e_13796000_Up_err = 0.000081;
    const double e_12873002_Up_err = 0.00065 ;
    const double e_15512013_Up_err = 0.0011  ;
    const double e_15512014_Up_err = 0.0011  ;
    const double e_11874004_Up_err = 0.00065 ;
    const double e_11874042_Up_err = 0.00087 ;
    const double e_11144001_Up_err = 0.00043 ;
    const double e_12143001_Up_err = 0.00049 ;
    const double e_12143401_Up_err = 0.00063 ;
    const double e_13144001_Up_err = 0.00045 ;
    const double e_11876001_Up_err = 0.0011  ;
    const double e_13873201_Up_err = 0.0011  ;
    const double e_12875601_Up_err = 0.0011  ;


     const double e_10010032 = 0.5 * ( e_10010032_Up + e_10010032_Down );
     const double e_10010035 = 0.5 * ( e_10010035_Up + e_10010035_Down );
     const double e_10010037 = 0.5 * ( e_10010037_Up + e_10010037_Down );
     const double e_11512011 = 0.5 * ( e_11512011_Up + e_11512011_Down );
     const double e_13512410 = 0.5 * ( e_13512410_Up + e_13512410_Down );
     const double e_11512400 = 0.5 * ( e_11512400_Up + e_11512400_Down );
     const double e_13512420 = 0.5 * ( e_13512420_Up + e_13512420_Down );
     const double e_13774000 = 0.5 * ( e_13774000_Up + e_13774000_Down );
     const double e_13512010 = 0.5 * ( e_13512010_Up + e_13512010_Down );
     const double e_13512400 = 0.5 * ( e_13512400_Up + e_13512400_Down );
     const double e_12513001 = 0.5 * ( e_12513001_Up + e_12513001_Down );
     const double e_11574050 = 0.5 * ( e_11574050_Up + e_11574050_Down );
     const double e_11574051 = 0.5 * ( e_11574051_Up + e_11574051_Down );
     const double e_12573050 = 0.5 * ( e_12573050_Up + e_12573050_Down );
     const double e_12573200 = 0.5 * ( e_12573200_Up + e_12573200_Down );
     const double e_12573400 = 0.5 * ( e_12573400_Up + e_12573400_Down );
     const double e_12573401 = 0.5 * ( e_12573401_Up + e_12573401_Down );
     const double e_13574040 = 0.5 * ( e_13574040_Up + e_13574040_Down );
     const double e_13796000 = 0.5 * ( e_13796000_Up + e_13796000_Down );
     const double e_12873002 = 0.5 * ( e_12873002_Up + e_12873002_Down );
     const double e_15512013 = 0.5 * ( e_15512013_Up + e_15512013_Down );
     const double e_15512014 = 0.5 * ( e_15512014_Up + e_15512014_Down );
     const double e_11874004 = 0.5 * ( e_11874004_Up + e_11874004_Down );
     const double e_11874042 = 0.5 * ( e_11874042_Up + e_11874042_Down );
     const double e_11144001 = 0.5 * ( e_11144001_Up + e_11144001_Down );
     const double e_12143001 = 0.5 * ( e_12143001_Up + e_12143001_Down );
     const double e_12143401 = 0.5 * ( e_12143401_Up + e_12143401_Down );
     const double e_13144001 = 0.5 * ( e_13144001_Up + e_13144001_Down );
     const double e_11876001 = 0.5 * ( e_11876001_Up + e_11876001_Down );
     const double e_13873201 = 0.5 * ( e_13873201_Up + e_13873201_Down );
     const double e_12875601 = 0.5 * ( e_12875601_Up + e_12875601_Down );


     const double e_10010032_err = 0.707107 * 0.5 * ( e_10010032_Up_err + e_10010032_Down_err );
     const double e_10010035_err = 0.707107 * 0.5 * ( e_10010035_Up_err + e_10010035_Down_err );
     const double e_10010037_err = 0.707107 * 0.5 * ( e_10010037_Up_err + e_10010037_Down_err );
     const double e_11512011_err = 0.707107 * 0.5 * ( e_11512011_Up_err + e_11512011_Down_err );
     const double e_13512410_err = 0.707107 * 0.5 * ( e_13512410_Up_err + e_13512410_Down_err );
     const double e_11512400_err = 0.707107 * 0.5 * ( e_11512400_Up_err + e_11512400_Down_err );
     const double e_13512420_err = 0.707107 * 0.5 * ( e_13512420_Up_err + e_13512420_Down_err );
     const double e_13774000_err = 0.707107 * 0.5 * ( e_13774000_Up_err + e_13774000_Down_err );
     const double e_13512010_err = 0.707107 * 0.5 * ( e_13512010_Up_err + e_13512010_Down_err );
     const double e_13512400_err = 0.707107 * 0.5 * ( e_13512400_Up_err + e_13512400_Down_err );
     const double e_12513001_err = 0.707107 * 0.5 * ( e_12513001_Up_err + e_12513001_Down_err );
     const double e_11574050_err = 0.707107 * 0.5 * ( e_11574050_Up_err + e_11574050_Down_err );
     const double e_11574051_err = 0.707107 * 0.5 * ( e_11574051_Up_err + e_11574051_Down_err );
     const double e_12573050_err = 0.707107 * 0.5 * ( e_12573050_Up_err + e_12573050_Down_err );
     const double e_12573200_err = 0.707107 * 0.5 * ( e_12573200_Up_err + e_12573200_Down_err );
     const double e_12573400_err = 0.707107 * 0.5 * ( e_12573400_Up_err + e_12573400_Down_err );
     const double e_12573401_err = 0.707107 * 0.5 * ( e_12573401_Up_err + e_12573401_Down_err );
     const double e_13574040_err = 0.707107 * 0.5 * ( e_13574040_Up_err + e_13574040_Down_err );
     const double e_13796000_err = 0.707107 * 0.5 * ( e_13796000_Up_err + e_13796000_Down_err );
     const double e_12873002_err = 0.707107 * 0.5 * ( e_12873002_Up_err + e_12873002_Down_err );
     const double e_15512013_err = 0.707107 * 0.5 * ( e_15512013_Up_err + e_15512013_Down_err );
     const double e_15512014_err = 0.707107 * 0.5 * ( e_15512014_Up_err + e_15512014_Down_err );
     const double e_11874004_err = 0.707107 * 0.5 * ( e_11874004_Up_err + e_11874004_Down_err );
     const double e_11874042_err = 0.707107 * 0.5 * ( e_11874042_Up_err + e_11874042_Down_err );
     const double e_11144001_err = 0.707107 * 0.5 * ( e_11144001_Up_err + e_11144001_Down_err );
     const double e_12143001_err = 0.707107 * 0.5 * ( e_12143001_Up_err + e_12143001_Down_err );
     const double e_12143401_err = 0.707107 * 0.5 * ( e_12143401_Up_err + e_12143401_Down_err );
     const double e_13144001_err = 0.707107 * 0.5 * ( e_13144001_Up_err + e_13144001_Down_err );
     const double e_11876001_err = 0.707107 * 0.5 * ( e_11876001_Up_err + e_11876001_Down_err );
     const double e_13873201_err = 0.707107 * 0.5 * ( e_13873201_Up_err + e_13873201_Down_err );
     const double e_12875601_err = 0.707107 * 0.5 * ( e_12875601_Up_err + e_12875601_Down_err );
  }
}


